%define anolis_release .0.2
%global debug_package %{nil}
%debug_package %{nil}


Name:           dde-session-shell
Version:        5.5.90
Release:        1%{anolis_release}%{?dist}.01
Summary:        deepin-session-shell - Deepin desktop-environment - session-shell module
License:        GPLv3+
URL:            https://github.com/linuxdeepin/dde-session-shell/
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  glib2-devel
BuildRequires:  libarchive
BuildRequires:  dtkcore-devel >= 5.5
BuildRequires:  dtkcommon-devel
BuildRequires:  gsettings-qt
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-linguist
BuildRequires:  dtkwidget-devel >= 5.5
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXtst-devel
BuildRequires:  libXi-devel
BuildRequires:  deepin-gettext-tools
BuildRequires:  xcb-util-wm xcb-util-wm-devel
BuildRequires:  dde-qt-dbus-factory-devel
BuildRequires:  gsettings-qt-devel
BuildRequires:  lightdm-qt5-devel
BuildRequires:  pam-devel
BuildRequires:  openssl-devel
BuildRequires:  gtest-devel
BuildRequires:  dtkgui-devel
BuildRequires:  gcc-c++
BuildRequires:  kf5-kwayland-devel

Requires:       lightdm
Requires:       google-noto-cjk-fonts
Requires:       libqtxdg-devel
Requires:       deepin-desktop-schemas
Requires:       dde-daemon
Requires:       startdde
Requires(post): sed
Provides:       lightdm-deepin-greeter = %{version}-%{release}
Provides:       lightdm-greeter = 1.2

%description
deepin-session-shell - Deepin desktop-environment - session-shell module.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files for %{name}.

%prep
%setup -q

%build
export PATH=$PATH:%{_qt5_bindir}
cmake_version=$(cmake --version | head -1 | awk '{print $3}')
sed -i "s|VERSION 3.13.4|VERSION $cmake_version|g" CMakeLists.txt
%cmake -DCMAKE_INSTALL_SYSCONFDIR=/etc
%make_build

%install
%make_install

%files
%{_bindir}/dde-lock
%{_bindir}/lightdm-deepin-greeter
%attr(755,root,root) %{_bindir}/deepin-greeter
%{_sysconfdir}/deepin/
%{_sysconfdir}/lightdm/deepin/
%{_sysconfdir}/xdg/autostart/dde-lock.desktop
%{_datadir}/dde-session-shell/
%{_datadir}/deepin-authentication/
%{_datadir}/applications/dde-lock.desktop
%{_datadir}/xgreeters/lightdm-deepin-greeter.desktop
%{_datadir}/dbus-1/services/com.deepin.dde.lockFront.service
%{_datadir}/dbus-1/services/com.deepin.dde.shutdownFront.service
%{_datadir}/glib-2.0/schemas/com.deepin.dde.session-shell.gschema.xml
%{_datadir}/dsg/

%files devel
%{_includedir}/%{name}
%{_prefix}/lib/%{name}/modules/
%{_libdir}/cmake/DdeSessionShell/DdeSessionShellConfig.cmake

%changelog
* Fri Jan 12 2024 yangxianzhao <yangxianzhao@uniontech.com> - 5.5.90-1.01.0.2
- rebuild for qt5-qtbase

* Wed Sep 20 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.5.90-1.01.0.1
- rebuild for qt5-qtbase-5.15.3

* Tue Jan 17 2023 liweiganga <liweiganga@uniontech.com> - 5.5.90-1.01
- spec: fix greeters path

* Thu Dec 29 2022 liweiganga <liweiganga@uniontech.com> - 5.5.90-1
- update: update to 5.5.90

* Fri Jun 10 2022 uoser <uoser@uniontech.com> - 5.4.92-1.01
- package init
